/// <reference types="node" />
export declare enum CameraType {
    RGBA = 0,
    I420 = 1
}
/**
 * 创建虚拟摄像头
 * @param type 虚拟摄像头输入图片的类型
 * @param width 虚拟摄像头的宽
 * @param height 虚拟摄像头的高
 * @returns
 */
export declare function createVirturalCamera(type: CameraType, width: number, height: number): any;
/**
 * 推送数据到虚拟摄像头
 * @param data 输入图片的buffer
 * @param width 输入图片的宽
 * @param height 输入图片的高
 * @returns
 */
export declare function pushDataToVirturalCamera(data: Buffer, width: number, height: number): any;
/**
 * 重新设置虚拟摄像头的分辨率
 * @param width 虚拟摄像头的宽
 * @param height 虚拟摄像头的高
 * @returns
 */
export declare function changeResolutionOfVirturalCamera(width: number, height: number): any;
/**
 * 注册虚拟摄像头
 * @returns
 */
export declare function registeVirturalCamera(): Promise<void>;
/**
 * 卸载虚拟摄像头
 * @returns
 */
export declare function unregisteVirturalCamera(): Promise<void>;
